MediaWiki:Gadget-site-styles.css:修订间差异

imported>=海豚=
无编辑摘要
rm fonts
 
(未显示3个用户的42个中间版本)
第1行: 第1行:
/* 标题字型调整*/
/* 放置于这里的CSS将同时应用于桌面端和移动端 */
#section_0 {
 
    font-family: sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-variant: small-caps;
}
h2,
h3,
h4,
h5,
h6 {
        font-family: "roboto",sans-serif !important;
}
/* 用户头像 */
/* 用户头像 */
img.userlink-avatar-small {
img.userlink-avatar-small {
    margin-left: 0.2em;
margin-left: 0.2em;
    margin-right: 0.2em;
margin-right: 0.2em;
    width: 1.5em;
width: 1.5em;
    border-radius: 15%;
border-radius: 15%;
    margin-top: -0.2em;
margin-top: -0.2em;
}
}
.userlink-avatar-large {
.userlink-avatar-large {
    display: none;
display: none;
    position: absolute;
position: absolute;
    top: 1em;
top: 1em;
    left: 1em;
left: 1em;
    padding: 1.5em;
padding: 1.5em;
    border: solid #A7D7F9 1px;
border: solid #A7D7F9 1px;
    border-radius: 3px;
border-radius: 3px;
    background-color: white;
background-color: white;
}
}
.userlink-avatar-large img {
.userlink-avatar-large img {
    min-width: 128px;
min-width: 128px;
}
}
.userlink-avatar-hover,
.userlink-avatar-hover,
.userlink-avatar-hover .userlink-avatar-small {
.userlink-avatar-hover .userlink-avatar-small {
    position: relative;
position: relative;
    cursor: pointer;
cursor: pointer;
}
}
.userlink-avatar-hover:hover .userlink-avatar-large {
.userlink-avatar-hover:hover .userlink-avatar-large {
    display: block;
display: block;
    z-index: 91;
z-index: 91;
}
}
#p-personal li {
#p-personal li {
    margin-top: 1em;
margin-top: 1em;
    margin-bottom: 0.75em;
margin-bottom: 0.75em;
}
}
#pt-userpage {
#pt-userpage {
    background: none !important;
background: none !important;
    padding-left: 0px !important;
padding-left: 0px !important;
}
}
#pt-avatar {
#pt-avatar {
    margin-top: 0.25em !important;
margin-top: 0.25em !important;
    margin-bottom: 0px !important;
margin-bottom: 0px !important;
}
}
#pt-avatar img {
#pt-avatar img {
    width: 2.5em;
width: 2.5em;
    border-radius: 50%;
border-radius: 50%;
}
}
/* 1.28+ Echo fix */
/* 1.28+ Echo fix */
#p-personal #pt-notifications-alert, #p-personal #pt-notifications-notice {
#p-personal #pt-notifications-alert, #p-personal #pt-notifications-notice {
    margin-top: 0.8em;
margin-top: 0.8em;
}
}
#p-personal li {
#p-personal li {
    margin-bottom: 0.2em;
margin-bottom: 0.2em;
}
}
#p-personal #pt-notifications-alert{
#p-personal #pt-notifications-alert{
    margin-top: 1.1em;
margin-top: 1.1em;
}
}
#p-personal #pt-notifications-notice{
#p-personal #pt-notifications-notice{
    margin-top: 1.13em;
margin-top: 1.13em;
}
}
/* 导航菜单样式 */
/* 导航菜单样式 */
nav ul li a {
nav ul li a {
    box-shadow: inset 0 0 0 #F4C430;
box-shadow: inset 0 0 0 #ffa92f;
    transition: all 0.1s ease-in !important;
transition: all 0.1s ease-in !important;
}
}
nav ul li a:hover {
nav ul li a:hover {
    box-shadow: inset 7px 0 0 #F4C430;
box-shadow: inset 7px 0 0 #ffa92f;
}
}
nav .mw-parser-output ul li a {
nav .mw-parser-output ul li a {
    font-weight: bold;
font-weight: bold;
    line-height: 1.857;
line-height: 1.857;
}
}
nav .mw-parser-output ul li a > i {
nav .mw-parser-output ul li a > i {
    margin-right: 0.76em;
margin-right: 0.76em;
    font-size: 1.4em;
font-size: 1.4em;
    vertical-align: middle;
vertical-align: middle;
    width: 24px;
width: 24px;
    text-align: center;
text-align: center;
}
}
/* 隐藏登录后的首页欢迎语 */
/* 隐藏登录后的首页欢迎语 */
第106行: 第92行:
}
}
.notification-count {
.notification-count {
    background: transparent !important;
background: transparent !important;
}
}
/* 界面顶部样式 */
/* 界面顶部样式 */
.mw-ui-icon-minerva-mainmenu:before{
.mw-ui-icon-minerva-mainmenu:before{
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
}
}
  .header .branding-box {
  .header .branding-box {
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
    color: white !important;
color: white !important;
}
}
.mw-ui-icon-minerva-magnifying-glass:before{
.mw-ui-icon-minerva-magnifying-glass:before{
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
}
}
  .mw-ui-icon-minerva-notifications:before{
  .mw-ui-icon-minerva-notifications:before{
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
}
}
.mw-ui-icon-mf-back:before{
.mw-ui-icon-mf-back:before{
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
}
}
.overlay-header h2{
.overlay-header h2{
    color: white !important;
color: white !important;
}
}
overlay-title{
overlay-title{
第132行: 第118行:
}
}
  .mw-ui-icon-mf-overlay-close:before{
  .mw-ui-icon-mf-overlay-close:before{
    filter: brightness(300%) !important;
filter: brightness(300%) !important;
}
}
.header-container {
.header-container {
    background-color: #f4c430 !important;
background-color: #ffa92f !important;
}
}
nav ul li a:hover {
nav ul li a:hover {
    box-shadow: inset 5px 0 0 0 #f4c430;
box-shadow: inset 5px 0 0 0 #ffa92f;
    text-decoration: none;
text-decoration: none;
}
}
#page-actions .language-selector{
#page-actions .language-selector{
第145行: 第131行:
}
}
#page-actions > div > li{
#page-actions > div > li{
    display:none!important;
display:none!important;
}
}
/* info类模板 */
/* info类模板 */
.infoBoxTitle {
.infoBoxTitle {
    margin: 3px auto;
margin: 3px auto;
    padding: 0;
padding: 0;
    text-align: center;
text-align: center;
    font-weight: 700;
font-weight: 700;
}
}
.infoBoxIcon {
.infoBoxIcon {
    display: table-cell;
display: table-cell;
    padding: 2px 0 2px .5em;
padding: 2px 0 2px .5em;
    vertical-align: middle;
vertical-align: middle;
}
}
.infoBoxText {
.infoBoxText {
    display: table-cell;
display: table-cell;
    padding: .25em .5em .25em 1.3em;
padding: .25em .5em .25em 1.3em;
    width: 100%;
width: 100%;
    vertical-align: middle;
vertical-align: middle;
}
}
.infoBoxContent new{
.infoBoxContent new{
第173行: 第159行:
}
}
.infoBoxContent {
.infoBoxContent {
    padding: 5px;  
padding: 5px;  
    border-left-width: 0;
border-left-width: 0;
    background: #fbfbfb;
background: #fbfbfb;
}
}
.infoBoxBelow {
.infoBoxBelow {
    margin: 0 auto;
margin: 0 auto;
    padding: 0;
padding: 0;
    text-align: center;
text-align: center;
}
}
.infoBoxYellow {
.infoBoxYellow {
第215行: 第201行:
span.heimu a.extiw,
span.heimu a.extiw,
span.heimu a.extiw:visited {
span.heimu a.extiw:visited {
    color: #252525;
color: #252525!important;
}
}
.heimu,
.heimu,
第221行: 第207行:
a .heimu,
a .heimu,
.heimu a.new {
.heimu a.new {
    background-color: #252525;
background-color: #252525;
    color: #252525;
color: #252525;
    text-shadow: none;
text-shadow: none;
}
}
.heimu:hover,
.heimu:hover,
.heimu:active,
.heimu:active,
.heimu.off {
.heimu.off {
    transition: color .13s linear;
transition: color .13s linear;
    color: white!important;
color: white!important;
}
}
.heimu:hover a,
.heimu:hover a,
第235行: 第221行:
.heimu.off a,
.heimu.off a,
a:hover .heimu.off {
a:hover .heimu.off {
    transition: color .13s linear;
transition: color .13s linear;
    color: lightblue;
color: lightblue;
}
}
.heimu.off .new,
.heimu.off .new,
第244行: 第230行:
.heimu.off .new:hover,
.heimu.off .new:hover,
.new:hover .heimu.off {
.new:hover .heimu.off {
    transition: color .13s linear;
transition: color .13s linear;
    color: #BA0000;
color: #BA0000;
}
}
/* gallery画廊样式 */
/* gallery画廊样式 */
第260行: 第246行:
/* 界面底部样式 */
/* 界面底部样式 */
.animations #mw-mf-page-center {
.animations #mw-mf-page-center {
    background-image: linear-gradient( -45deg,#f4c430 10px,transparent 11px);
background-image: linear-gradient( -45deg,#ffa92f 10px,transparent 11px);
}
}
.tab .TabLabelText {
.tab .TabLabelText {
    padding: 1px;
padding: 1px;
    background: #fff;
background: #fff;
    cursor: pointer;
cursor: pointer;
    flex: none;
flex: none;
}
}
#page-secondary-actions {
#page-secondary-actions {
    display: none;
}
/* 切换列表 */
.wds-dropdown {
    display: inline-block;
    position: relative;
}
.wds-dropdown__content {
display: none;
display: none;
    background-color: #f3f4f4eb;
    border: 1px solid #cececed4;
    border-radius: 4px;
    left: 50%;
    min-width: 70%;
    height: 100%;
    padding: 5px 0;
    position: absolute;
    top: 100%;
    transform: translateX(-50%);
    z-index: 1;
}
.wds-dropdown__toggle:after{
text-decoration: none !important;
    border: 1px solid #cececed4;
    border-bottom: 1px dotted #f3f4f4eb;
    cursor: pointer;
    position: relative;
}
.wds-dropdown:before {
display: none;
    border: 9px solid transparent;
    border-bottom: 9px solid #f3f4f4eb;
    margin-left: -9px;
}
.wds-dropdown:after, .wds-dropdown:before {
    bottom: -1px;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    width: 0;
    z-index: 2;
}
.wds-dropdown:hover .wds-dropdown__content {
display: inline-block;
}
.wds-dropdown:hover::before {
display:  inline-block;
}
}
/* Ruby 模板 */
/* Ruby 模板 */
rb[data-id="template-ruby"]::before {
rb[data-id="template-ruby"]::before {
    content: "";
content: "";
}
}
rb[data-id="template-ruby"]::before,
rb[data-id="template-ruby"]::before,
.template-ruby-hidden {
.template-ruby-hidden {
    display: inline-block;
display: inline-block;
    width: 0;
width: 0;
    font-size: 0;
font-size: 0;
}
}
/* 链接显示效果 */
/* 链接显示效果 */
a, a:visited {
a, a:visited {
    text-decoration: none!important;
text-decoration: none!important;
    color: #3366cc;
color: #3266cc;
}
}
a.new {
a.new {
第337行: 第276行:
}
}
.mw-body a.external:visited {
.mw-body a.external:visited {
    color: #3366cc!important;
color: #3366cc!important;
}
}
/* 最近更改页面 */
/* 最近更改页面 */
.mw-changeslist-legend {
.mw-changeslist-legend {
    display: none;
display: none;
}
}
/* 搜索界面 */
/* 搜索界面 */
.mw-search-pager-bottom{
.mw-search-pager-bottom{
    text-align: center;
text-align: center;
    border: 1px solid #ddd;
border: 1px solid #ddd;
    padding: 0.6em;
padding: 0.6em;
}
}
/*热门评论*/
/*热门评论*/
第359行: 第298行:
}
}
.comment-container-top {
.comment-container-top {
    border: none;
border: none;
    box-shadow: 0 1px 3px rgb(18 18 18 / 10%);
box-shadow: 0 1px 3px rgb(18 18 18 / 10%);
}
}
.comment-container-top > div:first-child {
.comment-container-top > div:first-child {
    height: 30px;
height: 30px;
    line-height: 30px;
line-height: 30px;
}
}
.comment-replybox{
.comment-replybox{
第371行: 第310行:
/* 解决pre不换行的问题 */
/* 解决pre不换行的问题 */
pre {
pre {
    white-space: pre-wrap; /* CSS-3 */
white-space: pre-wrap; /* CSS-3 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
word-wrap: break-word; /* Internet Explorer 5.5+ */
}
}
/* wikitable MD化 */
/* wikitable MD化 */
第385行: 第324行:
/* wikitable green */
/* wikitable green */
table.wikitable-green {
table.wikitable-green {
    background: #c9f6e1
background: #c9f6e1
}
}
.wikitable-green th {
.wikitable-green th {
    background: #13ec93
background: #13ec93
}
}
.wikitable-green td {
.wikitable-green td {
    background: #f3f3f3
background: #f3f3f3
}
/* 图像查看器MD化 */
.mw-mmv-post-image {
border-radius: 10px 10px 0 0;
}
/* 图像详细页 */
.fullImageLink{
text-align: center;
}
.fullMedia{
text-align: center;
}
}
/* 编辑区样式 */
/* 编辑区样式 */
.my-buttons {
.my-buttons {
    padding: 0em .6em .3em .6em;
padding: 0em .6em .3em .6em;
}
}
.my-buttons a {
.my-buttons a {
    text-decoration: none;
text-decoration: none;
    border: 1px #069 outset;
border: 1px #069 outset;
    padding: .1em;
padding: .1em;
}
}
.my-buttons a:hover,
.my-buttons a:hover,
.my-buttons a:active {
.my-buttons a:active {
    border-style: inset;
border-style: inset;
}
}
#wpTextbox1.mw-editfont-monospace{
#wpTextbox1.mw-editfont-monospace{
font-size: 93%;
font-size: 13.4px;
height: 450px;
height: 450px;
padding: 0.25em 0.5em 0;
font-family: inherit;
line-height: inherit;
}
#msupload-div {
border: 0;
}
}
#msupload-container.start-loading{
#msupload-container.start-loading{
display:none;
display:none;
}
}
#msupload-dropzone {
#msupload-dropzone {
    padding: 3px;
display: none!important;
    height: 19px;  
padding: 3px;
    font-size: small;
height: 19px;  
font-size: small;
}
#msupload-select {
filter: brightness(0.4);
height: 24px;  
}
}
.client-js .editButtons {
.client-js .editButtons {
    display: inline-block!important;
display: inline-block!important;
}
}
.oo-ui-buttonElement-frameless.oo-ui-labelElement:first-child {
.oo-ui-buttonElement-frameless.oo-ui-labelElement:first-child {
    margin-left: .1em;
margin-left: .1em;
}
}
.ve-ui-mwSaveDialog-summaryLabel {
.ve-ui-mwSaveDialog-summaryLabel {
    display: none;
display: none;
}
}
.wikiEditor-ui-toolbar {
.wikiEditor-ui-toolbar {
    background-color: #f8f9fa!important;
background-color: #f8f9fa!important;
    box-shadow: 0 2px 1px 0 rgba(0,0,0,0.1)!important;
background-image: none!important;
    background-image: none!important;
box-shadow: 0 2px 1px 0 rgba(0,0,0,0.1)!important;
}
}
.wikiEditor-ui-toolbar .sections .section {
.wikiEditor-ui-toolbar .sections .section {
    background-color: #f8f9fa!important;
background-color: #f8f9fa!important;
    box-shadow: 0 2px 1px 0 rgba(0,0,0,0.1)!important;
}
#msupload-dropzone {
    box-shadow: 0 2px 1px 0 rgba(0,0,0,0.1)!important;
}
#msupload-container {
    position: absolute;
}
}
.wikiEditor-ui-toolbar .tabs {
.wikiEditor-ui-toolbar .tabs {
    margin-left: 24px;
border-left: 1px solid #c8ccd1;
    border-left: 1px solid #c8ccd1;
}
}
.wikiEditor-ui-toolbar .tabs span.tab.tab-advanced {
.wikiEditor-ui-toolbar .tabs span.tab.tab-advanced {
    padding-left: 7px;
padding-left: 7px;
}
}
.tool-button.tool-active, .tool.tool-active.oo-ui-buttonElement-frameless.oo-ui-iconElement {
.tool-button.tool-active, .tool.tool-active.oo-ui-buttonElement-frameless.oo-ui-iconElement {
    outline: transparent;
outline: transparent;
    background-color: transparent;
background-color: transparent;
    box-shadow: none;
box-shadow: none;
}
}
.CodeMirror-gutter-elt{
/* 临时措施:防止工具栏出现多行,隐藏工具栏最右方切换到可视化编辑按钮 */
    display: none;
.ve-init-mw-editSwitch {
}
display: none;
.CodeMirror-gutters {
    display: none;
}
}
/* 在编辑记录中添加图标 */
/* 在编辑记录中添加图标 */
.history-size::before
.history-size::before
   {content:"📊";}
   {content:"📊";}
.history-size::after
.history-size::after
   {content:"←";}
   {content:"←";}
 
.mw-tag-markers a::before
.mw-tag-markers a::before
   {content:"🏷️";}
   {content:"🏷️";}
.mw-changeslist-date::before, .mw-changeslist h4::before
.mw-changeslist-date::before, .mw-changeslist h4::before
   {content:"📅  ";}
   {content:"📅  ";}
/* Tabs */
/* Tabs */
.tab .TabLabelText {
.tab .TabLabelText {
    border-top: 3px solid transparent;
border-top: 3px solid transparent;
    padding: 1px;
padding: 1px;
    background: #fff;
background: #fff;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
    cursor: pointer;
cursor: pointer;
    flex: none;
flex: none;
}
}
.tab .TabLabel {
.tab .TabLabel {
    z-index: 2;
z-index: 2;
    position: relative;
position: relative;
    -webkit-user-select: none;
-webkit-user-select: none;
    -moz-user-select: none;
-moz-user-select: none;
    -ms-user-select: none;
-ms-user-select: none;
    -o-user-select: none;
-o-user-select: none;
    user-select: none;
user-select: none;
    display: flex;
display: flex;
    flex-wrap: wrap;
flex-wrap: wrap;
}
}
.tab .TabLabelText.selected {
.tab .TabLabelText.selected {
    border-top: 3px solid green;
border-top: 3px solid green;
    padding: 1px;
padding: 1px;
    background: white;
background: white;
    border-left: 1px solid #aaa;
border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
border-right: 1px solid #aaa;
}
}
.tab .TabContent {
.tab .TabContent {
    background: white;
background: white;
    padding: 20px 30px;
padding: 20px 30px;
    position: relative;
position: relative;
    z-index: 1;
z-index: 1;
    border: 1px solid #aaa;
border: 1px solid #aaa;
}
}
.tab .TabContentText {
.tab .TabContentText {
    display: none;
display: none;
}
}
.tab .TabContentText.selected {
.tab .TabContentText.selected {
    display: block;
display: block;
}
}
.Tabs .Tab {
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
}
}
.Tabs .Tab:first-child {
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
}
}
.Tabs .Tab .TabLabelText {
.Tabs .Tab .TabLabelText {
    padding: 7px;
padding: 7px;
}
}
.Tabs .Tab .TabContentText {
.Tabs .Tab .TabContentText {
    padding: 3px;
padding: 3px;
}
}
.tab .TabLabel {
.tab .TabLabel {
    z-index: 2;
z-index: 2;
    position: relative;
position: relative;
    -webkit-user-select: none;
-webkit-user-select: none;
    -moz-user-select: none;
-moz-user-select: none;
    -ms-user-select: none;
-ms-user-select: none;
    -o-user-select: none;
-o-user-select: none;
    user-select: none;
user-select: none;
    display: flex;
display: flex;
    flex-wrap: wrap;
flex-wrap: wrap;
}
}
.tab .TabLabelText.selected {
.tab .TabLabelText.selected {
    padding: 1px;
padding: 1px;
    background: white;
background: white;
}
}


.tab .TabContent {
.tab .TabContent {
    background: white;
background: white;
    padding: 20px 30px;
padding: 20px 30px;
    position: relative;
position: relative;
    z-index: 1;
z-index: 1;
    border: 1px solid #aaa;
border: 1px solid #aaa;
}
}


.tab .TabContentText {
.tab .TabContentText {
    display: none;
display: none;
}
}


.tab .TabContentText.selected {
.tab .TabContentText.selected {
    display: block;
display: block;
}
}


.tab .tabLabelTop .TabLabelText {
.tab .tabLabelTop .TabLabelText {
    border-top: 3px solid transparent;
border-top: 3px solid transparent;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
}
}


.tab .tabLabelTop .TabLabelText.selected {
.tab .tabLabelTop .TabLabelText.selected {
    border-top: 3px solid green;
border-top: 3px solid green;
    border-left: 1px solid #aaa;
border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
border-right: 1px solid #aaa;
}
}


.tab .tabLabelTop.reverse .TabLabelText {
.tab .tabLabelTop.reverse .TabLabelText {
    border-bottom: 3px solid transparent;
border-bottom: 3px solid transparent;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
}
}


.tab .tabLabelTop.reverse .TabLabelText.selected {
.tab .tabLabelTop.reverse .TabLabelText.selected {
    border-bottom: 3px solid green;
border-bottom: 3px solid green;
    border-left: 1px solid #aaa;
border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
border-right: 1px solid #aaa;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
}
}


.tab .tabLabelBottom .TabLabelText {
.tab .tabLabelBottom .TabLabelText {
    border-bottom: 3px solid transparent;
border-bottom: 3px solid transparent;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
}
}


.tab .tabLabelBottom .TabLabelText.selected {
.tab .tabLabelBottom .TabLabelText.selected {
    border-bottom: 3px solid green;
border-bottom: 3px solid green;
    border-left: 1px solid #aaa;
border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
border-right: 1px solid #aaa;
}
}


.tab .tabLabelBottom.reverse .TabLabelText {
.tab .tabLabelBottom.reverse .TabLabelText {
    border-top: 3px solid transparent;
border-top: 3px solid transparent;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
}
}


.tab .tabLabelBottom.reverse .TabLabelText.selected {
.tab .tabLabelBottom.reverse .TabLabelText.selected {
    border-top: 3px solid green;
border-top: 3px solid green;
    border-left: 1px solid #aaa;
border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
border-right: 1px solid #aaa;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
}
}


.tab .tabLabelLeft .TabLabelText {
.tab .tabLabelLeft .TabLabelText {
    border-left: 3px solid transparent;
border-left: 3px solid transparent;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
}
}


.tab .tabLabelLeft .TabLabelText.selected {
.tab .tabLabelLeft .TabLabelText.selected {
    border-left: 3px solid green;
border-left: 3px solid green;
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
}
}


.tab .tabLabelLeft.reverse .TabLabelText {
.tab .tabLabelLeft.reverse .TabLabelText {
    border-right: 3px solid transparent;
border-right: 3px solid transparent;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
}
}


.tab .tabLabelLeft.reverse .TabLabelText.selected {
.tab .tabLabelLeft.reverse .TabLabelText.selected {
    border-right: 3px solid green;
border-right: 3px solid green;
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
    border-left: 1px solid transparent;
border-left: 1px solid transparent;
}
}


.tab .tabLabelRight .TabLabelText {
.tab .tabLabelRight .TabLabelText {
    border-right: 3px solid transparent;
border-right: 3px solid transparent;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
}
}


.tab .tabLabelRight .TabLabelText.selected {
.tab .tabLabelRight .TabLabelText.selected {
    border-right: 3px solid green;
border-right: 3px solid green;
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
}
}


.tab .tabLabelRight.reverse .TabLabelText {
.tab .tabLabelRight.reverse .TabLabelText {
    border-left: 3px solid transparent;
border-left: 3px solid transparent;
    border-top: 1px solid transparent;
border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
border-bottom: 1px solid transparent;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
}
}


.tab .tabLabelRight.reverse .TabLabelText.selected {
.tab .tabLabelRight.reverse .TabLabelText.selected {
    border-left: 3px solid green;
border-left: 3px solid green;
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
    border-right: 1px solid transparent;
border-right: 1px solid transparent;
}
}


.tab .Tabs .TabDivider {
.tab .Tabs .TabDivider {
    width: 100%;
width: 100%;
    order: 2;
order: 2;
}
}


.tab .Tabs.reverse .TabDivider {
.tab .Tabs.reverse .TabDivider {
    height: 2px;
height: 2px;
}
}


.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelRight .TabContent {
.tab .Tabs.tabLabelRight .TabContent {
    order: 1;
order: 1;
}
}


.tab .Tabs.tabLabelLeft .TabContent,
.tab .Tabs.tabLabelLeft .TabContent,
.tab .Tabs.tabLabelRight .TabLabel {
.tab .Tabs.tabLabelRight .TabLabel {
    order: 3;
order: 3;
}
}


.tab .Tabs.tabLabelLeft,
.tab .Tabs.tabLabelLeft,
.tab .Tabs.tabLabelRight {
.tab .Tabs.tabLabelRight {
    display: flex;
display: flex;
    flex-wrap: nowrap;
flex-wrap: nowrap;
    width: auto;
width: auto;
}
}


.tab .Tabs.tabLabelLeft .TabDivider,
.tab .Tabs.tabLabelLeft .TabDivider,
.tab .Tabs.tabLabelRight .TabDivider {
.tab .Tabs.tabLabelRight .TabDivider {
    height: 100%;
height: 100%;
    width: 0;
width: 0;
}
}


.tab .Tabs.tabLabelLeft.reverse .TabDivider,
.tab .Tabs.tabLabelLeft.reverse .TabDivider,
.tab .Tabs.tabLabelRight.reverse .TabDivider {
.tab .Tabs.tabLabelRight.reverse .TabDivider {
    width: 1px;
width: 1px;
}
}


.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelLeft .TabLabel,
.tab .Tabs.tabLabelRight .TabLabel {
.tab .Tabs.tabLabelRight .TabLabel {
    flex-direction: column;
flex-direction: column;
}
}


.tab .Tabs.tabLabelLeft:not(.AutoWidth) .TabContent,
.tab .Tabs.tabLabelLeft:not(.AutoWidth) .TabContent,
.tab .Tabs.tabLabelRight:not(.AutoWidth) .TabContent{
.tab .Tabs.tabLabelRight:not(.AutoWidth) .TabContent{
    flex: 1;
flex: 1;
}
}


.Tabs {
.Tabs {
    max-width: 100%;
max-width: 100%;
}
}


.Tabs.AutoWidth {
.Tabs.AutoWidth {
    width: max-content;
width: max-content;
}
}


.Tabs.FloatLeft {
.Tabs.FloatLeft {
    float: left;
float: left;
    margin-right: 1em;
margin-right: 1em;
}
}


.Tabs.FloatRight {
.Tabs.FloatRight {
    float: right;
float: right;
    margin-left: 1em;
margin-left: 1em;
}
}


.Tabs .Tab {
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
}
}


.Tabs .Tab:first-child {
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
border-top: 1px solid #aaa;
}
}


.Tabs .Tab .TabLabelText {
.Tabs .Tab .TabLabelText {
    padding: 7px;
padding: 7px;
}
}


.Tabs .Tab .TabContentText {
.Tabs .Tab .TabContentText {
    padding: 3px;
padding: 3px;
}
}


.infotemplatebox>table td>.Tabs .TabLabel,
.infotemplatebox>table td>.Tabs .TabLabel,
.infotemplatebox>table td>.Tabs .TabContent {
.infotemplatebox>table td>.Tabs .TabContent {
    margin: 0 -1px;
margin: 0 -1px;
}
/* ajax 投票 */
html>body.skin-minerva .ajaxpoll {
width: inherit;
}
}